package Cluedo.API;

/**
 * Is able to be bound to the GameController and listen to messages from it.<br>
 * This implementation is for a GUI based adapter and extends Swing's JFrame.
 * @author alex
 */
public class CluedoGUIListener extends 
	javax.swing.JFrame implements CluedoObserver {
	
	/** A message received from the GameController */
	public void notifyAlert(Message message) {};
	/* A message from a local event handler, this tells the View
	 * what to update or what action to perform. 
	 * 
	 * */
	public void localMessage(Message message) {};

	public CluedoGUIListener(String args) {
		super(args);
	}
	public CluedoListener getCluedoListener() { return new CluedoListener();}
}
